APTITUDE(8)

NOME
aptitude - interfaccia di alto livello per il gestore di pacchetti

SINOSSI

aptitude [<opzioni>...] {autoclean | clean | forget-new | keep-all | update}

aptitude [<opzioni>...] {full-upgrade | safe-upgrade} [<pacchetti>...]

aptitude [<opzioni>...] {build-dep | build-depends | changelog | download | forbid-version | hold | install | markauto | purge | reinstall | remove | show | showsrc | source | unhold | unmarkauto | versions} <pacchetti>...

aptitude extract-cache-subset <directory-di-output> <pacchetti>...

aptitude [<opzioni>...] search <modelli>...

aptitude [<opzioni>...] {add-user-tag | remove-user-tag} <tag> <pacchetti>...

aptitude [<opzioni>...] {why | why-not} [<modelli>...] <pacchetti>

aptitude [-S <nomefile>] [--autoclean-on-startup | --clean-on-startup | -i | -u]

aptitude help

DESCRIZIONE

aptitude è un'interfaccia testuale al sistema di gestione dei pacchetti di Debian GNU/Linux.

Permette all'utente di visualizzare l'elenco dei pacchetti e di effettuare operazioni di gestione quali l'installazione, l'aggiornamento o la rimozione dei pacchetti. È possibile compiere tali azioni da un'interfaccia visuale o dalla riga di comando.

AZIONI DISPONIBILI DALLA RIGA DI COMANDO

Il primo argomento che non inizia con un trattino («-») viene interpretato come un'azione che il programma deve compiere. Se nella riga di comando non viene specificata alcuna azione, aptitude si avvia in modalità visuale.

Sono disponibili le seguenti azioni:

install
    Installa uno o più pacchetti. I pacchetti devono essere elencati dopo il comando «install»; se un nome di pacchetto contiene un carattere tilde («~») o un punto interrogativo («?») viene interpretato come un modello di ricerca e viene quindi installato ogni pacchetto che corrisponde al modello (vedere la sezione «Modelli di ricerca» nel manuale di riferimento di aptitude).

    Per selezionare una specifica versione di un pacchetto, aggiungere «=<versione>» al nome del pacchetto: ad esempio, «aptitude install apt=0.3.1». Analogamente, per selezionare un pacchetto da un archivio specifico, aggiungere «/<archivio>» al nome del pacchetto: ad esempio, «aptitude install apt/experimental». Non è possibile specificare sia un archivio sia una versione per un pacchetto.

    Non tutti i pacchetti elencati nella riga di comando devono essere installati; si può dire ad aptitude di fare qualcosa di diverso con un pacchetto aggiungendo un «indicatore di azione» al nome del pacchetto. Per esempio, aptitude remove wesnoth+ non rimuove wesnoth ma lo installa. È possibile usare i seguenti indicatori di azione:

    <pacchetto>+
        Installa <pacchetto>.

        Se il pacchetto non era installato viene contrassegnato come manualmente installato e alle nuove dipendenze installate viene impostato il contrassegno di automatiche. Se il pacchetto o le dipendenze erano già installate, viene preservato il contrassegno per i pacchetti automatici. Per maggiori informazioni vedere la sezione sulle installazioni automatiche nella documentazione.

    <pacchetto>+M
        Installa <pacchetto> e lo marca immediatamente come automaticamente installato (notare che se nulla dipende da <pacchetto>, questo fa sì che venga immediatamente rimosso).

    <pacchetto>-
        Rimuove <pacchetto>.

    <pacchetto>_
        Elimina <pacchetto>: lo rimuove insieme a tutti i file di dati e di configurazione associati ad esso.

    <pacchetto>=
        Blocca <pacchetto>: annulla ogni installazione, aggiornamento o rimozione attivi e impedisce che questo pacchetto venga aggiornato automaticamente in futuro.

    <pacchetto>:
        Mantiene <pacchetto> alla sua versione attuale: annulla ogni installazione, rimozione o aggiornamento. A differenza del «blocco» (descritto sopra) non impedisce aggiornamenti automatici in futuro.

    <pacchetto>&M
        Contrassegna <pacchetto> come installato automaticamente.

    <pacchetto>&m
        Contrassegna <pacchetto> come installato manualmente.

    <pacchetto>&BD
        Installa le dipendenze di compilazione di <pacchetto>.

    Come caso particolare, «install» senza alcun argomento effettua tutte le azioni memorizzate/in sospeso.

        Nota
        Una volta inserito Y al prompt di conferma finale, il comando «install» modifica le informazioni memorizzate da aptitude sulle azioni da effettuare. Perciò, se si inserisce (ad esempio) il comando «aptitude install pippo pluto» su pacchetti precedentemente non installati e poi l'installazione fallisce dopo che aptitude ha già avviato lo scaricamento e l'installazione dei pacchetti, è necessario eseguire «aptitude remove pippo pluto» per tornare allo stato precedente (ed eventualmente annullare installazioni o aggiornamenti di altri pacchetti che erano stato influenzati dall'azione «install»).

remove, purge, reinstall
    Questi comandi sono lo stesso di «install», ma applicano l'azione specificata a tutti i pacchetti specificati nella riga di comando per i quali l'azione non è scavalcata.

    Per esempio, «aptitude remove '~ndeity'» rimuove tutti i pacchetti il cui nome contiene «deity».

build-depends, build-dep
    Soddisfa le dipendenze di compilazione di un pacchetto. Ciascun nome di pacchetto può essere un pacchetto sorgente, nel qual caso vengono installate le dipendenze di compilazione di quel pacchetto; altrimenti, i pacchetti binari vengono identificati nello stesso modo usato dal comando «install» e vengono installate le dipendenze di compilazione dei pacchetti sorgente da cui sono stati compilati quei pacchetti binari.

    Se è presente il parametro per la riga di comando --arch-only, vengono seguite solo le dipendenze di compilazione dipendenti dall'architettura (cioè, nessuna Build-Depends-Indep o Build-Conflicts-Indep).

markauto, unmarkauto
    Segna i pacchetti come installati automaticamente o manualmente, rispettivamente. I pacchetti devono essere specificati esattamente nello stesso modo usato con il comando «install». Per esempio, «aptitude markauto '~slibs'» segna tutti i pacchetti nella sezione «libs» come installati automaticamente.

    Per maggiori informazioni sui pacchetti installati automaticamente, vedere la sezione «Gestire i pacchetti installati automaticamente» nel manuale di riferimento di aptitude.

hold, unhold, keep
    Segna i pacchetti come bloccati, rimuove questo contrassegno o li mantiene allo stato attuale. I pacchetti devono essere specificati esattamente nello stesso modo usato con il comando «install». Per esempio, «aptitude hold '~e^dpkg$'» segna tutti i pacchetti provenienti dal pacchetto sorgente «dpkg» come bloccati.

    La differenza tra hold e keep è che hold fa sì che un pacchetto venga ignorato dai comandi safe-upgrade o full-upgrade futuri, mentre keep annulla semplicemente qualsiasi azione pianificata sul pacchetto. unhold permette l'aggiornamento del pacchetto da parte dei comandi safe-upgrade o full-upgrade futuri, senza alterarne in alcun modo lo stato.

keep-all
    Annulla tutte le azioni pianificate su tutti i pacchetti; ad ogni pacchetto il cui contrassegno di stato indica un'installazione, rimozione o aggiornamento viene cancellato tale contrassegno.

forget-new
    Dimentica tutte le informazioni interne su quali pacchetti siano «nuovi» (è equivalente a premere «f» nella modalità visuale).

    Questo comando accetta come argomenti nomi di pacchetto o modelli. Se la stringa contiene un carattere tilde («~») o un punto interrogativo («?») viene interpretata come un modello di ricerca e viene quindi considerato ogni pacchetto che corrisponde al modello (vedere la sezione «Modelli di ricerca» nel manuale di riferimento di aptitude).

forbid-version
    Proibisce che un pacchetto venga aggiornato ad una particolare versione, permettendo comunque gli aggiornamenti automatici a versioni future. È utile, ad esempio, per evitare una versione notoriamente difettosa di un pacchetto, senza dovere impostare e rimuovere manualmente blocchi.

    In modo predefinito aptitude seleziona come versione proibita quella alla quale il pacchetto verrebbe normalmente aggiornato (la versione candidata). Ciò si può modificare aggiungendo «=<versione>» dopo il nome di pacchetto: per esempio, «aptitude forbid-version vim=1.2.3.broken-4».

    Per invertire l'azione, «aptitude install <pacchetto>» rimuove la proibizione. Per rimuovere il bando sulla versione senza installare la versione candidata si deve aggiungere la versione attuale: «install <pacchetto>=<versione>».

update
    Aggiorna l'elenco dei pacchetti disponibili dalle sorgenti apt (è equivalente a «apt-get update»).

safe-upgrade
    Aggiorna i pacchetti installati alla loro versione più recente. I pacchetti installati non vengono rimossi a meno che non siano inutilizzati (vedere la sezione «Gestire i pacchetti installati automaticamente» nel manuale di riferimento di aptitude). È possibile che pacchetti che non sono attualmente installati vengano installati per risolvere delle dipendenze, a meno che non venga usata nella riga di comando l'opzione --no-new-installs.

    Se nella riga di comando non è elencato alcun <pacchetto>, aptitude cerca di aggiornare ogni pacchetto aggiornabile. Altrimenti, aptitude cerca di aggiornare solo i pacchetti specificati. I nomi di <pacchetto> specificati possono essere estesi con suffissi, in modo simile agli argomenti di aptitude install, perciò possono essere fornite istruzioni ulteriori ad aptitude; per esempio, aptitude safe-upgrade bash dash- cerca di aggiornare il pacchetto bash e di rimuovere il pacchetto dash.

    È a volte necessario rimuovere un pacchetto per poterne aggiornare un altro; questo comando non è in grado di aggiornare pacchetti in situazioni come questa. Usare il comando full-upgrade per aggiornare il maggior numero di pacchetti possibile.

full-upgrade
    Aggiorna i pacchetti installati alla loro versione più recente, se necessario rimuovendo o installando pacchetti. Installa anche i nuovi pacchetti essenziali o richiesti Questo comando è meno conservativo di safe-upgrade e perciò è più probabile che effettui azioni non desiderate. Tuttavia è in grado di aggiornare pacchetti che safe-upgrade non può aggiornare.

    Se nella riga di comando non è elencato alcun <pacchetto>, aptitude cerca di aggiornare ogni pacchetto aggiornabile. Altrimenti, aptitude cerca di aggiornare solo i pacchetti specificati. I nomi di <pacchetto> specificati possono essere estesi con suffissi, in modo simile agli argomenti di aptitude install, perciò possono essere fornite istruzioni ulteriori ad aptitude; per esempio, aptitude full-upgrade bash dash- cerca di aggiornare il pacchetto bash e di rimuovere il pacchetto dash.

        Nota
        Questo comando in origine si chiamava dist-upgrade per ragioni storiche, e aptitude riconosce ancora dist-upgrade come un sinonimo di full-upgrade.

search
    Cerca i pacchetti che corrispondono ad uno dei modelli specificati nella riga di comando. Vengono mostrati tutti i pacchetti che corrispondono ad uno qualsiasi dei modelli specificati; ad esempio «aptitude search '~N' edit» elenca tutti i pacchetti «nuovi» e tutti i pacchetti il cui nome contiene «edit». Per maggiori informazioni sui modelli di ricerca, vedere la sezione «Modelli di ricerca» nel manuale di riferimento di aptitude.

        Nota
        Nell'esempio precedente, «aptitude search '~N' edit» ha due argomenti dopo search e perciò ricerca due modelli: «~N» e «edit». Come descritto nella Guida di riferimento per i modelli di ricerca, un modello singolo composto di due sottomodelli separati da uno spazio (come «~N edit») trova corrispondenza solo se c'è corrispondenza con entrambi i modelli. Perciò, il comando «aptitude search '~N edit'» mostra solo i pacchetti «nuovi» il cui nome contiene «edit».

    A meno che non si usi l'opzione -F, l'output di aptitude search ha un aspetto simile a questo:

        ihA apt                             - interfaccia avanzata per dpkg
        pi  apt-cacher                      - proxy con cache per file di pacchetto e so
        p   apt-cacher-ng                   - server proxy con cache per repository soft
        p   kraptor                         - classico gioco sparatutto a scorrimento

    Ogni risultato della ricerca è elencato su una riga distinta. Il primo carattere in ciascuna riga indica lo stato attuale del pacchetto: gli stati più comuni sono p che significa che nel sistema non c'è traccia dell'esistenza del pacchetto, c, che significa che il pacchetto è stato rimosso ma i suoi file di configurazione sono rimasti nel sistema, i che indica che il pacchetto è installato e v che significa che il pacchetto è virtuale. Il secondo carattere indica l'azione salvata (se ce n'è una; altrimenti viene visualizzato uno spazio bianco) da effettuare sul pacchetto; le azioni più comuni sono i che indica che il pacchetto verrà installato, d che indica che il pacchetto verrà rimosso e p che indica che verranno rimossi il pacchetto e i suoi file di configurazione. Se il terzo carattere è A il pacchetto è stato installato automaticamente.

    Per un elenco completo dei possibili indicatori di stato e di azione, vedere la sezione «Accedere alle informazioni sui pacchetti» nella guida di riferimento di aptitude. Per personalizzare l'output di search, vedere le opzioni -F e --sort per la riga di comando.

show
    Mostra informazioni dettagliate su uno o più pacchetti. Se un nome di pacchetto contiene un carattere tilde («~») o un punto interrogativo («?») viene interpretato come un modello di ricerca e vengono quindi mostrati tutti i pacchetti che corrispondono (vedere la sezione «Modelli di ricerca» nel manuale di riferimento di aptitude.

    Se il livello di prolissità è uguale o maggiore a 1 (cioè nella riga di comando è presente almeno una volta -v), vengono mostrate le informazioni su tutte le versioni del pacchetto. Altrimenti, vengono mostrate le informazioni sulla «versione candidata» (la versione che verrebbe scaricata da «aptitude install».

    Si possono visualizzare informazioni su una versione diversa del pacchetto aggiungendo =<versione> al nome del pacchetto; si può visualizzare la versione da uno specifico archivio o rilascio aggiungendo in fondo al nome del pacchetto /<archivio> o /<rilascio>: per esempio, /unstable o /sid. Se è presente una di queste due aggiunte, allora viene mostrata solo la versione richiesta indipendentemente dal livello di prolissità.

    Se il livello di prolissità è uguale o maggiore a 1, vengono mostrati i campi relativi all'architettura del pacchetto, alla dimensione da compresso, al nome file e al md5sum. Se il livello di prolissità è uguale o maggiore di 2, la versione o le versioni selezionate vengono mostrate una volta per ciascun archivio in cui vengono trovate.

showsrc
    Visualizza informazioni dettagliate su uno o più pacchetti sorgente.

    Questo è un wrapper sottile intorno a apt(8).

source
    Scarica uno o più pacchetti sorgente.

    Questo è un wrapper sottile intorno a apt(8).

versions
    Visualizza le versioni dei pacchetti elencati nella riga di comando.

        $ aptitude versions wesnoth
        p   1:1.4.5-1                                                             100
        p   1:1.6.5-1                                    unstable                 500
        p   1:1.7.14-1                                   experimental             1

    Ogni versione è elencata in una riga distinta. I tre caratteri a sinistra indicano lo stato attuale, lo stato pianificato (se c'è) e se il pacchetto è stato installato automaticamente; per maggiori informazioni sul loro significato, vedere la documentazione di aptitude search. Alla destra del numero di versione si possono trovare i rilasci da cui è disponibile la versione e la priorità di pin della versione.

    Se un nome di pacchetto contiene un carattere tilde («~») o un punto interrogativo («?») viene trattato come un modello di ricerca e vengono visualizzate tutte le versioni che corrispondono (vedere la sezione «Modelli di ricerca» nel manuale di riferimento di aptitude). Ciò significa che, ad esempio, aptitude versions '~i' mostra tutte le versioni che sono attualmente installate sul sistema e nient'altro, nemmeno altre versioni degli stessi pacchetti.

        $ aptitude versions '~nexim4-daemon-light'
        Package exim4-daemon-light:
        i   4.71-3                                                                100
        p   4.71-4                                       unstable                 500
        Package exim4-daemon-light-dbg:
        p   4.71-4                                       unstable                 500

    Se l'input è un modello di ricerca o se devono essere visualizzate le versioni di più di un pacchetto, aptitude raggruppa automaticamente l'output per pacchetto, come mostrato sopra. Questo comportamento può essere disabilitato usando --group-by=none, nel qual caso aptitude mostra un unico elenco di tutte le versioni trovate e include automaticamente il nome di pacchetto in ogni riga di output:

        $ aptitude versions --group-by=none '~nexim4-daemon-light'
        i   exim4-daemon-light 4.71-3                                             100
        p   exim4-daemon-light 4.71-4                    unstable                 500
        p   exim4-daemon-light-dbg 4.71-4                unstable                 500

    Per disabilitare la visualizzazione del nome del pacchetto usare l'opzione --show-package-names=never:

        $ aptitude versions --show-package-names=never --group-by=none '~nexim4-daemon-light'
        i   4.71-3                                                                100
        p   4.71-4                                       unstable                 500
        p   4.71-4                                       unstable                 500

    In aggiunta alle opzioni descritte sopra, le informazioni stampate per ciascuna versione possono essere controllate dall'opzione -F della riga di comando. L'ordine in cui sono visualizzate le versioni può essere controllato dall'opzione --sort per la riga di comando. Per evitare che aptitude formatti l'output in colonne, usare --disable-columns.

add-user-tag, remove-user-tag
    Aggiunge o rimuove un'etichetta utente dal gruppo di pacchetti selezionato. Se un nome di pacchetto contiene un carattere tilde («~») o un punto interrogativo («?») viene trattato come un modello di ricerca e l'etichetta viene rimossa o aggiunta da tutti i pacchetti che corrispondono al modello (vedere la sezione «Modelli di ricerca» nel manuale di riferimento di aptitude).

    Le etichette utente sono stringhe arbitrarie associate con un pacchetto. Possono essere usate con il termine di ricerca ?user-tag(<etichetta>), che seleziona tutti i pacchetti che hanno un'etichetta utente che corrisponde a <etichetta>.

why, why-not
    Spiega le ragioni per cui un particolare pacchetto dovrebbe essere o non può essere installato sul sistema.

    Questo comando cerca i pacchetti che richiedono o vanno in conflitto con il pacchetto specificato. Visualizza una sequenza di dipendenze che arriva al pacchetto obiettivo, insieme con una nota che indica lo stato di installazione di ciascun pacchetto nella catena di dipendenze:

        aptitude why file-roller
        i   wmppp.app    Consiglia wmaker
        p   wmaker       Consiglia desktop-base
        p   desktop-base Consiglia gnome | kde-standard | xfce4 | wmaker
        p   gnome        Dipende   file-roller (>= 3.0)

    Il comando why trova una catena di dipendenze che installa il pacchetto specificato nella riga di comando, come nell'esempio sopra. Notare che la dipendenza che aptitude ha prodotto in questo caso è solo un suggerimento. Ciò è dovuto al fatto che nessun pacchetto attualmente installato sul computer dipende o raccomanda il pacchetto file-roller; se fosse disponibile una dipendenza più forte, aptitude l'avrebbe mostrata.

    Al contrario, why-not trova una catena di dipendenze che porta ad un conflitto con il pacchetto obiettivo:

        aptitude why-not python-deb822
        i   reportbug        Dipende         python-reportbug (= 6.3.1)
        i A python-reportbug Dipende         python-debian
        i A python-debian    Va in conflitto python-deb822

    Se sono presenti uno o più <modelli> (oltre all'ultimo argomento obbligatorio che deve essere un nome valido di <pacchetto>), allora aptitude inizia la sua ricerca da questi modelli; cioè il primo pacchetto nella catena visualizzata per spiegare perché <pacchetto> è installato o meno, è un pacchetto che corrisponde al modello in questione. I modelli vengono trattati come nomi di pacchetti a meno che non contengano un carattere tilde («~») o un punto interrogativo («?»), nel qual caso vengono trattati come modelli di ricerca (vedere la sezione «Modelli di ricerca» nel manuale di riferimento di aptitude).

    Se non è presente alcun modello, allora aptitude cerca catene di dipendenze che iniziano dai pacchetti installati manualmente. Questo mostra effettivamente i pacchetti che hanno causato o causerebbero l'installazione di un pacchetto.

        Nota
        aptitude why non effettua la completa risoluzione delle dipendenze; mostra solamente le relazioni dirette tra i pacchetti. Per esempio, se A richiede B, C richiede D, e B e C sono in conflitto, «aptitude why-not D» non produce la risposta «A dipende da B, B va in conflitto con C, e D dipende da C».

    In modo predefinito aptitude produce in output solo la catena di dipendenze «più installata, forte, stringente e corta.» Cioè cerca una catena che contenga solo pacchetti che sono installati o che verranno installati; con questa limitazione cerca le dipendenze più forti possibili; cerca catene che evitino dipendenze e relazioni Fornisce che contengano OR; cerca poi la catena di dipendenza più corta che soddisfi questi criteri. Queste regole vengono progressivamente rese meno stringenti fino a che non viene trovata una corrispondenza.

    Se il livello di prolissità è uguale o superiore ad 1, allora vengono mostrate tutte le spiegazioni che aptitude riesce a trovare, in ordine inverso per importanza. Se il livello di prolissità è uguale a superiore a 2, allora viene mostrata sullo standard output una quantità di informazioni di debug veramente eccessiva.

    Questo comando restituisce 0 se ha successo, 1 se non può essere creata alcuna spiegazione e -1 in caso di errore.

clean
    Rimuove tutti i file .deb precedentemente scaricati dalla directory della cache dei pacchetti (solitamente /var/cache/apt/archives).

autoclean
    Rimuove dalla cache tutti i pacchetti che non si possono più scaricare. In tal modo è possibile evitare che una cache cresca in maniera incontrollata con il passare del tempo senza doverla svuotare completamente.

changelog
    Scarica e visualizza il changelog Debian per ciascuno dei pacchetti sorgente o binari specificati.

    In modo predefinito viene scaricato il changelog per la versione che verrebbe installata da «aptitude install». Si può selezionare una specifica versione di un pacchetto aggiungendo =<versione> dopo il nome di pacchetto; si può selezionare la versione da uno specifico archivio o rilascio aggiungendo /<archivio> o /<rilascio> dopo il nome di pacchetto (ad esempio, /unstable o /sid).

download
    Scarica nella directory corrente il file .deb per il pacchetto specificato.

    Questo è un wrapper sottile intorno a apt(8).

extract-cache-subset
    Copia la directory di configurazione di apt (/etc/apt) e un sottoinsieme del database dei pacchetti nella directory specificata. Se non viene elencato alcun pacchetto, viene copiato l'intero database dei pacchetti; altrimenti vengono copiate solo le voci che corrispondono ai pacchetti specificati. Ogni nome di pacchetto può essere un modello di ricerca e in quel caso vengono selezionati tutti i pacchetti che corrispondono a quel modello (vedere la sezione «Modelli di ricerca» nel manuale di riferimento di aptitude). Ogni file di database di pacchetti nella directory di output viene sovrascritto.

    Le dipendenze nelle corrispondenti sezioni dei pacchetti binari vengono riscritte per rimuovere i riferimenti ai pacchetti non compresi nell'insieme selezionato.

help
    Visualizza un breve riassunto dei comandi e delle opzioni disponibili.

OPZIONI

Per modificare il comportamento delle azioni spiegate in precedenza possono essere usate le seguenti opzioni. Notare che, benché tutte le opzioni vengano accettate per tutti i comandi, alcuni opzioni non si applicano ad alcuni comandi e vengono ignorate da tali comandi.

--add-user-tag <etichetta>
    Per full-upgrade, safe-upgrade, forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold e unmarkauto: aggiunge l'etichetta utente <etichetta> a tutti i pacchetti che vengono installati, rimossi o aggiornati dal comando, come se si fosse usato il comando add-user-tag.

--add-user-tag-to <etichetta>,<modello>
    Per full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold e unmarkauto: aggiunge l'etichetta utente <etichetta> a tutti i pacchetti che corrispondono al <modello> come se si fosse usato il comando add-user-tag. Il modello è un modello di ricerca, così come descritto nella sezione «Modelli di ricerca» nel manuale di riferimento di aptitude.

    As esempio, aptitude safe-upgrade --add-user-tag-to "new-installs,?action(install)" aggiunge l'etichetta new-installs a tutti i pacchetti installati dal comando safe-upgrade.

--allow-new-upgrades
    Quando viene usato il risolutore sicuro (cioè se è stata usata l'opzione --safe-resolver, l'azione è safe-upgrade o Aptitude::Always-Use-Safe-Resolver è impostata a true), permette al risolutore di dipendenze di installare aggiornamenti per i pacchetti indipendentemente dal valore di Aptitude::Safe-Resolver::No-New-Upgrades.

--allow-new-installs
    Permette al comando safe-upgrade di installare nuovi pacchetti; quando viene usato il risolutore sicuro (cioè se è stata usata l'opzione --safe-resolver, l'azione è safe-upgrade o Aptitude::Always-Use-Safe-Resolver è impostata a true), permette al risolutore di dipendenze di installare nuovi pacchetti. Questa opzione ha effetto indipendentemente dal valore di Aptitude::Safe-Resolver::No-New-Installs.

--allow-untrusted
    Installa i pacchetti da fonti non fidate, senza chiedere conferma. Questa opzione andrebbe usata solo se si ha ben chiaro quel che si sta facendo, dato che potrebbe facilmente compromettere la sicurezza del sistema.

--disable-columns
    Questa opzione fa sì che i risultati prodotti in output da aptitude search e aptitude versions non siano formattati in modo speciale. In particolare, aptitude normalmente aggiunge spazi bianchi o tronca i risultati delle ricerche nel tentativo di far rientrare i risultati in «colonne» verticali. Con questa opzione, ogni riga viene creata sostituendo ogni codice di formato nella stringa di formato con il testo corrispondente e la larghezza delle colonne viene ignorata.

    Per esempio, le prime righe di output di «aptitude search -F '%p %V' --disable-columns moon» potrebbero essere:

        gkrellmoon 0.6-5
        moon-buggy 1.0.51-9
        moon-buggy-esd 1.0.51-9
        moon-lander 1:1.0-4.1
        moon-lander-data 1:1.0-4.1
        pd-moonlib 0.2-2

    Come in questo esempio, --disable-columns è spesso utile in combinazione con un formato di visualizzazione personalizzato, impostato usando l'opzione per la riga di comando -F.

    Questo corrisponde all'opzione di configurazione Aptitude::CmdLine::Disable-Columns.

-D, --show-deps
    Per i comandi che installano o rimuovono pacchetti (install, full-upgrade, ecc.), mostra delle brevi spiegazioni delle installazioni e rimozioni automatiche.

    Corrisponde all'opzione di configurazione Aptitude::CmdLine::Show-Deps.

-d, --download-only
    Scarica i pacchetti nella cache dei pacchetti, a seconda delle necessità, ma non installa o rimuove nulla. In modo predefinito, la cache dei pacchetti è memorizzata in /var/cache/apt/archives.

    Corrisponde all'opzione di configurazione Aptitude::CmdLine::Download-Only.

-F <formato>, --display-format <formato>
    Specifica il formato da usare per visualizzare l'output dei comandi search e versions. Ad esempio, se si usa «%p %v %V» come <formato>, vengono visualizzati il nome del pacchetto, seguito dalla sua versione attualmente installata e la sua versione candidata (per maggiori informazioni vedere la sezione «Personalizzare la visualizzazione dei pacchetti» nel manuale di riferimento di aptitude).

    L'opzione da riga di comando --disable-columns è spesso utile in combinazione con -F.

    Per search, corrisponde all'opzione di configurazione Aptitude::CmdLine::Package-Display-Format; per versions, corrisponde all'opzione di configurazione Aptitude::CmdLine::Version-Display-Format.

-f
    Cerca in modo molto determinato di risolvere le dipendenze dei pacchetti difettosi, anche se ciò significa ignorare le azioni richieste nella riga di comando.

    Corrisponde alla voce di configurazione Aptitude::CmdLine::Fix-Broken.

--full-resolver
    Quando si verificano problemi di dipendenze dei pacchetti, usa il risolutore «completo» predefinito per risolverli. A differenza del risolutore «sicuro» attivato da --safe-resolver, il risolutore completo rimuove tranquillamente pacchetti per risolvere le dipendenze. Può risolvere più situazioni rispetto all'algoritmo sicuro, ma è più probabile che le sue soluzioni non siano ciò che si desidera.

    Questa opzione può essere utilizzata per forzare l'uso del risolutore completo anche quando Aptitude::Always-Use-Safe-Resolver è impostato a vero.

--group-by <modalità-di-raggruppamento>
    Controlla il modo in cui viene raggruppato l'output di versions. Sono riconosciuti i seguenti valori:

        • archive per raggruppare i pacchetti in base all'archivio in cui sono contenuti («stable», «unstable», ecc.). Se un pacchetto è presente in diversi archivi, viene mostrato in ciascuno di essi.

        • auto per raggruppare le versioni in base al loro pacchetto, a meno che non ci sia esattamente un solo argomento che non è un modello di ricerca.

        • none per visualizzare tutte le versioni in un unico elenco senza alcun raggruppamento.

        • package per raggruppare le versioni in base al loro pacchetto.

        • source-package per raggruppare le versioni in base al loro pacchetto sorgente.

        • source-version per raggruppare le versioni in base al loro pacchetto sorgente e alla sua versione.

    Corrisponde all'opzione di configurazione Aptitude::CmdLine::Versions-Group-By.

-h, --help
    Visualizza un breve messaggio di aiuto. Identica all'azione help.

--log-file=<file>
    Se <file> è una stringa non vuota, i messaggi di registro verrano scritti in tale file, a meno che <file> non sia «-» nel qual caso sono invece scritti sullo standard output. Se questa opzione è usata più volte, ha effetto quella che appare per ultima.

    Non ha effetto sul registro delle installazioni che aptitude ha effettuato (/var/log/aptitude); i messaggi di registro scritti usando questa configurazione includono eventi interni del programma, errori e messaggi di debug. Vedere l'opzione da riga di comando --log-level per un controllo maggiore su cosa venga registrato.

    Corrisponde all'opzione di configurazione Aptitude::Logging::File.

--log-level=<livello>, --log-level=<categoria>:<livello>
    --log-level=<livello> fa sì che aptitude registri solo i messaggi il cui livello è uguale o superiore a <livello>. Per esempio, se si imposta il livello di registrazione a error vengono visualizzati solo i messaggi ai livelli error e fatal; tutti gli altri vengono nascosti. I livelli di registrazione validi (in ordine discendente) sono: off, fatal, error, warn, info, debug e trace. Il livello predefinito di registrazione è warn.

    --log-level=<categoria>:<livello> fa sì che i messaggi nella <categoria> siano registrati solo se il loro livello è uguale o superiore a <livello>.

    --log-level può essere presente più volte nella riga di comando; l'impostazione che ha effetto è quella più specifica, perciò se si usa --log-level=aptitude.resolver:fatal e --log-level=aptitude.resolver.hints.match:trace, allora i messaggi in aptitude.resolver.hints.parse vengono visualizzati solo se il loro livello è fatal, ma vengono visualizzati tutti i messaggi in aptitude.resolver.hints.match. Se si imposta il livello della stessa categoria due volte o più, l'ultima impostazione è quella che viene usata.

    Non ha effetto sul registro delle installazioni che aptitude ha effettuato (/var/log/aptitude); i messaggi di registro scritti usando questa configurazione includono eventi interni del programma, errori e messaggi di debug. Vedere l'opzione da riga di comando --log-level per cambiare la destinazione dei messaggi di registro.

    Corrisponde al gruppo di configurazione Aptitude::Logging::Levels.

--log-resolver
    Imposta alcuni livelli di registrazione standard relativi al risolutore, per produrre un output di registro adatto per l'elaborazione con strumenti automatici. È equivalente alle opzioni --log-level=aptitude.resolver.search:trace --log-level=aptitude.resolver.search.tiers:info per la riga di comando.

--no-new-installs
    Impedisce che safe-upgrade installi nuovi pacchetti; quando viene usato il risolutore sicuro (cioè se è stata usata l'opzione --safe-resolver o Aptitude::Always-Use-Safe-Resolver è impostata a true), impedisce al risolutore di dipendenze di installare nuovi pacchetti. Questa opzione ha effetto indipendentemente dal valore di Aptitude::Safe-Resolver::No-New-Installs.

    Imita il comportamento che storicamente aveva apt-get upgrade.

--no-new-upgrades
    Quando viene usato il risolutore sicuro (cioè se è usata l'opzione --safe-resolver o Aptitude::Always-Use-Safe-Resolver è impostata a true), impedisce al risolutore di dipendenze di installare aggiornamenti per i pacchetti indipendentemente dal valore di Aptitude::Safe-Resolver::No-New-Upgrades.

--no-show-resolver-actions
    Non mostra le azioni effettuate dal risolutore «sicuro», ignorando qualsiasi opzione di configurazione o --show-resolver-actions precedente.

-O <ordine>, --sort <ordine>
    Specifica l'ordine in cui deve essere visualizzato l'output dei comandi search e versions. Per esempio, se si usa «installsize» come <ordine>, i pacchetti vengono elencati in ordine della loro dimensione una volta installati (per maggiori informazioni vedere la sezione «Personalizzare l'ordinamento dei pacchetti» nel manuale di riferimento di aptitude).

    Prepending the order keyword with a tilde character (~) reverses the order from ascending to descending.

    Il criterio di ordinamento predefinito è name,version.

-o <chiave>=<valore>
    Imposta direttamente un'opzione del file di configurazione; per esempio, si può usare -o Aptitude::Log=/tmp/mio-log per registrare le azioni di aptitude in /tmp/mio-log. Per maggiori informazioni sulle opzioni del file di configurazione, vedere la sezione «Guida di riferimento del file di configurazione» nel manuale di riferimento di aptitude.

-P, --prompt
    Visualizza sempre una richiesta di conferma prima di scaricare, installare o rimuovere pacchetti, anche quando le uniche azioni effettuate sono quelle esplicitamente richieste dall'utente.

    Corrisponde all'opzione di configurazione Aptitude::CmdLine::Always-Prompt.

--purge-unused
    Se Aptitude::Delete-Unused è impostata a «true» (il suo valore predefinito), allora i pacchetti che non sono più richiesti da alcun pacchetto installato oltre a venire rimossi, vengono anche eliminati da aptitude che rimuove i loro file di configurazione e forse altri dati importanti. Per maggiori informazioni su quali pacchetti siano considerati «inutilizzati», vedere la sezione «Gestire i pacchetti installati automaticamente» nel manuale di riferimento di aptitude. QUESTA OPZIONE PUÒ CAUSARE LA PERDITA DI DATI! NON USARLA A MENO DI NON SAPERE ESATTAMENTE CIÒ CHE SI STA FACENDO!

    Corrisponde all'opzione di configurazione Aptitude::Purge-Unused.

-q[=<n>], --quiet[=<n>]
    Elimina tutti gli indicatori incrementali di avanzamento, rendendo perciò l'output registrabile. Può essere usata più volte per rendere il programma più silenzioso ma, a differenza di apt-get, aptitude non abilita -y quando -q viene usato più di una volta.

    L'indicazione =<n> opzionale può essere usata per impostare direttamente il valore di silenziosità (per esempio, per scavalcare un'impostazione in /etc/apt/apt.conf); fa sì che il programma si comporti come se fosse stato usato -q esattamente <n> volte.

-R, --without-recommends
    Non tratta le raccomandazioni come se fossero dipendenze quando installa nuovi pacchetti (questa impostazione sovrascrive quelle in /etc/apt/apt.conf e ~/.aptitude/config). I pacchetti già installati a causa di raccomandazioni non vengono rimossi.

    Corrisponde alla coppia di opzioni di configurazione APT::Install-Recommends e APT::AutoRemove::RecommendsImportant.

-r, --with-recommends
    Tratta le raccomandazioni come dipendenze quando installa nuovi pacchetti (questa configurazione sovrascrive quelle in /etc/apt/apt.conf e ~/.aptitude/config).

    Corrisponde all'opzione di configurazione APT::Install-Recommends.

--remove-user-tag <etichetta>
    Per full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold e unmarkauto: rimuove l'etichetta utente <etichetta> da tutti i pacchetti che sono installati, rimossi o aggiornati da questo comando, come se si fosse usato il comando add-user-tag.

--remove-user-tag-from <etichetta>,<modello>
    Per full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold e unmarkauto: rimuove l'etichetta utente <etichetta> da tutti i pacchetti che corrispondono a <modello> come se si fosse usato il comando remove-user-tag. Il modello è un modello di ricerca, così come descritto nella sezione «Modelli di ricerca» nel manuale di riferimento di aptitude.

    Per esempio, aptitude safe-upgrade --remove-user-tag-from "not-upgraded,?action(upgrade)" rimuove l'etichetta not-upgraded da tutti i pacchetti che il comando safe-upgrade è in grado di aggiornare.

-s, --simulate
    Nella modalità a riga di comando, stampa le azioni che verrebbero normalmente effettuate, ma non le effettua veramente. Non richiede i privilegi di root. Nell'interfaccia visuale, apre sempre la cache in modalità in sola lettura indipendentemente dal fatto di essere root o meno.

    Corrisponde all'opzione di configurazione Aptitude::Simulate.

--safe-resolver
    Quando si verificano problemi di dipendenze dei pacchetti, usa un algoritmo «sicuro» per risolverli. Questo risolutore cerca di preservare il maggior numero possibile delle scelte dell'utente; non rimuove mai un pacchetto e non installa mai una versione di un pacchetto che non sia la versione candidata predefinita. È lo stesso algoritmo usato in safe-upgrade; di fatti, aptitude --safe-resolver full-upgrade è equivalente a aptitude safe-upgrade. Dato che safe-upgrade usa sempre il risolutore sicuro, non accetta l'opzione --safe-resolver.

    Questa opzione equivale a impostare la variabile di configurazione Aptitude::Always-Use-Safe-Resolver a true.

--schedule-only
    Per i comandi che modificano lo stato dei pacchetti, pianifica le operazioni da effettuare in futuro, ma non le effettua. Si possono eseguire le azioni in attesa eseguendo aptitude install senza argomenti. È equivalente a fare le selezioni corrispondenti nella modalità visuale e poi uscire dal programma normalmente.

    Per esempio, aptitude --schedule-only install evolution pianifica l'installazione del pacchetto evolution per un momento successivo.

--show-package-names <quando>
    Controlla quando il comando versions mostri il nome dei pacchetti. Sono permesse le seguenti impostazioni:

        • always: visualizza i nomi dei pacchetti ogni volta che viene eseguito aptitude versions.

        • auto: visualizza i nomi dei pacchetti quando viene eseguito aptitude versions se l'output non è raggruppato per pacchetto e, o c'è un argomento di corrispondenza ad un modello o c'è più di un argomento.

        • never: non visualizza mai i nomi dei pacchetti nell'output di aptitude versions.

    Questa opzione corrisponde alla voce di configurazione Aptitude::CmdLine::Versions-Show-Package-Names.

--show-resolver-actions
    Visualizza le azioni effettuate dal risolutore «sicuro» e da safe-upgrade.

    Quando si esegue il comando safe-upgrade o quando è presente l'opzione --safe-resolver, aptitude visualizza un riassunto delle azioni effettuate dal risolutore, prima di visualizzare l'anteprima di installazione. È equivalente all'opzione di configurazione Aptitude::Safe-Resolver::Show-Resolver-Actions.

--show-summary[=<MODO>]
    Cambia il comportamento di «aptitude why» in modo che riassuma ogni catena di dipendenze che produce in output, invece di visualizzarla in forma lunga. Se è presente questa opzione e <MODO> non è «no-summary», le catene che contengono dipendenze di tipo Suggerisce non vengono visualizzate: combinare --show-summary con -v per vedere un riassunto delle ragioni per installare il pacchetto in oggetto.

    <MODO> può essere uno dei seguenti:

        1. no-summary: non mostra un riassunto (il comportamento predefinito se non è presente --show-summary).

        2. first-package: visualizza il primo pacchetto in ciascuna catena. Questo è il valore predefinito di <MODO> se non è specificato.

        3. first-package-and-type: visualizza il primo pacchetto in ciascuna catena, insieme alla forza della dipendenza più debole nella catena.

        4. all-packages: visualizza brevemente ogni catena di dipendenze che porta al pacchetto in oggetto.

        5. all-packages-with-dep-versions: visualizza brevemente ogni catena di dipendenze che porta al pacchetto in oggetto, includendo la versione in oggetto di ciascuna dipendenza.

    Questa opzione corrisponde alla voce di configurazione Aptitude::CmdLine::Show-Summary; se nella riga di comando è presente --show-summary, questo scavalca Aptitude::CmdLine::Show-Summary.

    Esempio 12. Uso di --show-summary --show-summary usato con -v per visualizzare tutte le ragioni per cui un pacchetto è installato.

        $ aptitude -v --show-summary why po-debconf
        Packages requiring po-debconf:
          debhelper
          debiandoc-sgml
          docbook-utils
          xserver-xorg
        $ aptitude -v --show-summary=first-package-and-type why po-debconf
        Packages requiring po-debconf:
          [Dipende] debhelper
          [Dipende] debiandoc-sgml
          [Dipende] docbook-utils
          [Dipende] xserver-xorg
        $ aptitude -v --show-summary=all-packages why po-debconf
        Packages requiring po-debconf:
          debiandoc-sgml R: texlive-latex-extra D: texlive-binaries R: texlive-base D: po-debconf
          xserver-xorg D: xorg-driver-video F<- xorg-driver-video R: device3dfx-source R: kernel-package D: po-debconf
          debhelper D: po-debconf
          docbook-utils D: jadetex D: texlive-latex-base D: texlive-base D: po-debconf
        $ aptitude -v --show-summary=all-packages-with-dep-versions why po-debconf
        Packages requiring po-debconf:
          debiandoc-sgml R: texlive-latex-extra D: texlive-binaries (>= 2009-1) R: texlive-base D: po-debconf
          xserver-xorg D: xorg-driver-video F<- xorg-driver-video R: device3dfx-source R: kernel-package D: po-debconf
          debhelper D: po-debconf
          docbook-utils D: jadetex D: texlive-latex-base D: texlive-base (>= 2009-1) D: po-debconf

    --show-summary usato per elencare una catena in un'unica riga:

        $ aptitude --show-summary=all-packages why consolekit libglib2.0-data
        Packages requiring libglib2.0-data:
          consolekit D: libglib2.0-0 R: libglib2.0-data

-t <rilascio>, --target-release <rilascio>
    Imposta il rilascio dal quale devono essere installati i pacchetti. Per esempio, «aptitude -t experimental ...» installa pacchetti dalla distribuzione experimental a meno di non specificare altrimenti.

    Questo ha effetto sulla versione candidata in modo predefinito per i pacchetti secondo le regole descritte in apt_preferences(5).

    Corrisponde alla voce di configurazione APT::Default-Release.

-V, --show-versions
    Mostra quali versioni dei pacchetti verranno installate.

    Corrisponde all'opzione di configurazione Aptitude::CmdLine::Show-Versions.

-v, --verbose
    Fa sì che alcuni comandi (ad esempio, show) mostrino informazioni aggiuntive. Può essere specificato più volte per ottenere una quantità sempre maggiore di informazioni.

    Corrisponde all'opzione di configurazione Aptitude::CmdLine::Verbose.

--version
    Mostra la versione di aptitude e alcune informazioni sul modo in cui è stata compilata.

--visual-preview
    Quando si installano o rimuovono pacchetti dalla riga di comando, invece di mostrare il prompt usuale, avvia l'interfaccia visuale e mostra la sua schermata d'anteprima.

-W, --show-why
    Nell'anteprima mostrata prima che i pacchetti vengano installati o rimossi, per ogni pacchetto installato automaticamente mostra quale pacchetto installato manualmente li richieda. Per esempio:

        $ aptitude --show-why install lilypond
        I seguenti pacchetti NUOVI (NEW) saranno installati:
          guile-1.8{a} (for lilypond)  lilypond  lilypond-data{a} (for lilypond)
          lilypond-doc{a} (for lilypond)

    Quando usato insieme a -v o ad un valore diverso da zero per Aptitude::CmdLine::Verbose, mostra l'intera catena di dipendenze che porta all'installazione di ciascun pacchetto. Ad esempio:

        $ aptitude -v --show-why install libdb4.2-dev
        I seguenti pacchetti NUOVI (NEW) saranno installati:
          libdb4.2{a} (libdb4.2-dev D: libdb4.2)  libdb4.2-dev
        I seguenti pacchetti saranno RIMOSSI:
          libdb4.4-dev{a} (libdb4.2-dev C: libdb-dev P<- libdb-dev)

    Questa opzione descrive anche perché i pacchetti vengano rimossi, come nell'esempio precedente. In questo esempio, libdb4.2-dev va in conflitto con libdb-dev, che è fornito da libdb-dev.

    Questa opzione corrisponde all'opzione di configurazione Aptitude::CmdLine::Show-Why e mostra le stesse informazioni che sono elaborate da aptitude why e aptitude why-not.

-w <larghezza>, --width <larghezza>
    Specifica la larghezza da usare per visualizzare l'output dei comandi search e versions (nella riga di comando).

    In modo predefinito e quando l'output viene visualizzato direttamente in un terminale viene utilizzata la larghezza del terminale. Quando l'output viene ridiretto o inviato ad una pipe, viene utilizzata una larghezza di riga molto grande "illimitata" e questa opzione viene ignorata.

    Corrisponde all'opzione di configurazione Aptitude::CmdLine::Package-Display-Width.

-y, --assume-yes
    Ogni volta che dovrebbe essere mostrata una domanda "sì/no", suppone che la risposta inserita dall'utente sia "«sì». In particolare elimina la domanda di conferma che appare quando si installano, rimuovono o aggiornano pacchetti. Le domande di conferma per azioni «pericolose», come la rimozione di pacchetti essenziali, vengono mostrate comunque. Questa opzione ha la precedenza su -P.

    Corrisponde all'opzione di configurazione Aptitude::CmdLine::Assume-Yes.

-Z
    Mostra quanto spazio verrebbe occupato, o liberato, dall'installazione, aggiornamento o rimozione di ciascun pacchetto.

    Corrisponde all'opzione di configurazione Aptitude::CmdLine::Show-Size-Changes.

Le opzioni che seguono hanno effetto sulla modalità visuale del programma, ma sono pensate principalmente per un uso interno; generalmente non c'è motivo di utilizzarle.

--autoclean-on-startup
    Cancella i vecchi pacchetti scaricati all'avvio del programma (equivalente all'avviare il programma e selezionare immediatamente Azioni → Cancella i file vecchi). Non è permesso usare questa opzione insieme a «--clean-on-startup», «-i» o «-u».

--clean-on-startup
    Pulisce la cache dei pacchetti all'avvio del programma (equivalente all'avviare il programma e selezionare immediatamente Azioni → Pulisci la cache dei pacchetti). Non è permesso usare questa opzione insieme a «--autoclean-on-startup», «-i» o «-u».

-i
    Mostra un'anteprima degli scaricamenti all'avvio del programma (equivalente all'avviare il programma e premere immediatamente «g»). Non è permesso usare questa opzione insieme a «--autoclean-on-startup», «--clean-on-startup» o «-u».

-S <nomefile>
    Carica le informazioni sullo stato esteso da <nomefile> invece che dal file di stato standard.

-u
    Inizia l'aggiornamento dell'elenco dei pacchetti non appena il programma viene avviato. Non è possibile usare questa opzione insieme a «--autoclean-on-startup», «--clean-on-startup» o «-i».

AMBIENTE

HOME
    Se esiste la directory $HOME/.aptitude, aptitude salva il suo file di configurazione come $HOME/.aptitude/config. Altrimenti cerca la directory home dell'utente attuale usando getpwuid(2) e mette lì il suo file di configurazione.

PAGER
    Se questa variabile d'ambiente è impostata, aptitude la usa per mostrare i changelog quando viene usato il comando «aptitude changelog». Se non è impostata, viene usato il valore predefinito more.

TMP
    Se TMPDIR non è impostata, aptitude memorizza i suoi file temporanei in TMP, ammesso che tale variabile sia impostata. Altrimenti li memorizza in /tmp.

TMPDIR
    aptitude memorizza i suoi file temporanei nella directory indicata da questa variabile d'ambiente. Se TMPDIR non è impostata, allora viene usata TMP; se anche TMP non è impostata, allora aptitude usa /tmp.

FILE

/var/lib/aptitude/pkgstates
    Il file in cui sono memorizzati gli stati dei pacchetti ed alcuni contrassegni dei pacchetti.

/etc/apt/apt.conf, /etc/apt/apt.conf.d/*, ~/.aptitude/config
    I file di configurazione di aptitude. ~/.aptitude/config ha la precedenza su /etc/apt/apt.conf. Per la documentazione sul formato e il contenuto di questi file vedere apt.conf(5).

VEDERE ANCHE

apt-get(8), apt(8), /usr/share/doc/aptitude/html/<lingua>/index.html dal pacchetto aptitude-doc-<lingua>

AUTORI

Daniel Burrows <dburrows@debian.org>
    Autore principale del documento.

Manuel A. Fernandez Montecelo <mafm@debian.org>
    Manutentore principale dopo Daniel Burrows, documentazione sulle nuove funzionalità, correzioni e formattazione.

DIRITTO D'AUTORE

Copyright 2004-2011 Daniel Burrows.

Copyright 2014-2016 Manuel A. Fernandez Montecelo

Questa pagina di manuale è software libero; è possibile ridistribuirla e/o modificarla secondo i termini della licenza GNU General Public License, come pubblicata dalla Free Software Foundation nella versione 2 della licenza, o (a scelta) una versione più recente.

Questa pagina di manuale è distribuita nella speranza che sia utile, ma SENZA ALCUNA GARANZIA, nemmeno la garanzia implicita di COMMERCIABILITÀ o APPLICABILITÀ PER UNO SCOPO PARTICOLARE. Per maggiori dettagli vere la GNU General Public License.

Insieme a questo programma dovrebbe essere stata fornita una copia della GNU General Public License; se così non fosse, scrivere alla: Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02111-1301, USA.